#if !defined(AFX_PORTFOLIOSET_H__C7BC54D7_22D9_11D4_9FB6_080009EE62AA__INCLUDED_)
#define AFX_PORTFOLIOSET_H__C7BC54D7_22D9_11D4_9FB6_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PortfolioSet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPortfolioSet recordset

class CPortfolioSet : public CRecordset
{
public:
	int GetNextID();
	CPortfolioSet(CDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CPortfolioSet)

// Field/Param Data
	//{{AFX_FIELD(CPortfolioSet, CRecordset)
	long	m_PortfolioID;
	CTime	m_PurchaseDate;
	long	m_Shares;
	long	m_StockID;
	double	m_PurchasePrice;
	//}}AFX_FIELD


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPortfolioSet)
	public:
	virtual CString GetDefaultConnect();    // Default connection string
	virtual CString GetDefaultSQL();    // Default SQL for Recordset
	virtual void DoFieldExchange(CFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PORTFOLIOSET_H__C7BC54D7_22D9_11D4_9FB6_080009EE62AA__INCLUDED_)
